//+------------------------------------------------------------------+
//| RSI+3EMA.mq4.mq4
//| adimsh
//| http://www.forex-tsd.com/suggestions-trading-systems/16018-rsi-3-ema-easy-way-make-mony-forex.html
//+------------------------------------------------------------------+
#property copyright "adimsh"
#property link      "http://www.forex-tsd.com/suggestions-trading-systems/16018-rsi-3-ema-easy-way-make-mony-forex.html"

#property indicator_chart_window
#property indicator_buffers 6
#property indicator_color1 Black
#property indicator_color2 Blue
#property indicator_color3 Blue
#property indicator_color4 Red
#property indicator_color5 Green

extern int SLOW_EMA_PERIOD = 26;
extern int FAST_EMA_PERIOD = 6;
extern int RSI_PERIOD      = 14;


double EMA_SLOW_CLOSE[];
double EMA_FAST_HIGH[];
double EMA_FAST_LOW[];
double BUFF_4[];
double BUFF_5[];

double RSI[];


int init()
{
   SetIndexStyle(0,DRAW_LINE,STYLE_SOLID,1);
   SetIndexBuffer(0,EMA_SLOW_CLOSE);
   SetIndexLabel(0,"EMA Close Slow");
   
   SetIndexStyle(1,DRAW_LINE,STYLE_SOLID,1);
   SetIndexBuffer(1,EMA_FAST_HIGH);
   SetIndexLabel(1,"EMA High Fast");

   SetIndexStyle(2,DRAW_LINE,STYLE_SOLID,1);
   SetIndexBuffer(2,EMA_FAST_LOW);
   SetIndexLabel(2,"EMA Low Fast");

   SetIndexStyle(3,DRAW_ARROW);
   SetIndexArrow(3,159);
   SetIndexBuffer(3,BUFF_4);
   SetIndexEmptyValue(3,0.0);


   SetIndexStyle(4,DRAW_ARROW);
   SetIndexArrow(4,159);
   SetIndexBuffer(4,BUFF_5);
   SetIndexEmptyValue(4,0.0);

   return(0);
}
int deinit()
{
   return(0);
}
int start()
{
   int    counted_bars=IndicatorCounted();
   if(counted_bars<0)
      return(-1);
   if(counted_bars>0)
      counted_bars--;
   if(counted_bars==0)
      counted_bars=1;
   int limit = Bars-counted_bars;
   
   int i;
   int cnt_buy_signals = 0;
   int cnt_sell_signals = 0;
   for(i=limit; i>0; i--)
   {
      RSI[i] = iRSI(NULL,0,RSI_PERIOD,PRICE_CLOSE,i);
      EMA_SLOW_CLOSE[i] = iMA(NULL,0,SLOW_EMA_PERIOD,0,MODE_EMA,PRICE_CLOSE,i);
      EMA_FAST_HIGH[i] = iMA(NULL,0,FAST_EMA_PERIOD,0,MODE_EMA,PRICE_HIGH,i);
      EMA_FAST_LOW[i] = iMA(NULL,0,FAST_EMA_PERIOD,0,MODE_EMA,PRICE_LOW,i);
      
      if(RSI[i] < 50)
      {
         if(EMA_FAST_HIGH[i] < EMA_SLOW_CLOSE[i] && EMA_FAST_LOW[i] < EMA_SLOW_CLOSE[i])
         {
            if(High[i] >= EMA_FAST_HIGH[i])
            {
               BUFF_4[i] = High[i] + 4*Point;
               cnt_sell_signals++;
            }
         }
      }
               
   
      if(RSI[i] > 50)
      {
         if(EMA_FAST_HIGH[i] > EMA_SLOW_CLOSE[i] && EMA_FAST_LOW[i] > EMA_SLOW_CLOSE[i])
         {
            if(Low[i] <= EMA_FAST_LOW[i])
            {
               BUFF_5[i] = Low[i] - 4*Point;
               cnt_buy_signals++;
            }
         }
      }
   }
   
   Comment("Count Buy:"+cnt_buy_signals+"\n"+"Count Sell:"+cnt_sell_signals);
   
   return(0);
}

